Skip to content
Documentation sections

Delete shipments to endpoints

DELETE /easy-shipment on the Webhooks API. Base URL: https://api.sinay.ai/webhook/api/v1.

You can delete container or BL or BK to one or multiple endpoints by their container / BL / BK numbers. Note that the container / bl / bk provided will be deleted for endpoint provided

Request body

application/json, required.

FieldTypeRequiredDescription
<key>objectNo—
<key>.shipmentsarray of objectYesArray of shipments.
<key>.shipments[].numberstringYesA shipment number. Can be a container number, a booking number or a Bill of Lading number.
<key>.shipments[].sealinestringNoA SCAC code (Sealine identifier). Specifying it will ensure we retrieve information from the right shipping line. To retrieve the list of supported sealines and their corresponding code, use our GET /sealines endpoint. This parameter is strongly recommended. Using it will greatly improve our response time and avoid sealine autodetection issues.
<key>.shipments[].typestringNoThe shipment type (CT for container, BK for booking, BL for Bill of Lading) this parameter is recommended. Using it will improve our autodetection capabilities. One of: BK, BL, CT.

Responses

Body: application/json, object.

FieldTypeRequiredDescription
<key>objectNo—
<key>.shipmentsarray of objectYesArray of shipments.
<key>.shipments[].numberstringYesA shipment number. Can be a container number, a booking number or a Bill of Lading number.
<key>.shipments[].sealinestringNoA SCAC code (Sealine identifier). Specifying it will ensure we retrieve information from the right shipping line. To retrieve the list of supported sealines and their corresponding code, use our GET /sealines endpoint. This parameter is strongly recommended. Using it will greatly improve our response time and avoid sealine autodetection issues.
<key>.shipments[].typestringNoThe shipment type (CT for container, BK for booking, BL for Bill of Lading) this parameter is recommended. Using it will improve our autodetection capabilities. One of: BK, BL, CT.

Example response body:

{
  "ep_1srOrx2ZWZBpBUvZwXKQmoEYga2": {
    "shipments": [
      {
        "number": "MSDU9813721",
        "sealine": "HLCU"
      },
      {
        "type": "BL",
        "number": "HLCUSHA2302AWXB8",
        "sealine": "HLCU"
      },
      {
        "number": "ZZZZ0000000"
      }
    ]
  }
}